
Figure - Bug #117221
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】adb reboot重启设备后dock栏应用不在显示dock栏，桌面没有在第一页，在最后一页
2023-03-28 18:05 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-28

Priority: Normal Due date: 2023-04-03

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102(X102)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-05

Test Type: Release Test Root cause: 编码问题

Description

【前提条件】

已安装应用超过3屏

【测试步骤】

1.在dock栏添加应用【微信】【肯德基】【QQ音乐】【设置】

2.adb reboot重启设备

【预期结果】

dock栏应用显示正确，launcher显示首屏

【测试结果】

dock栏应用只显示【QQ音乐】【设置】，launcher显示最后一屏

History

#1 - 2023-03-28 19:55 - 物联网测试组_CDTS  唐霞 

断电重启也存在这种现象

#2 - 2023-03-29 15:19 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-03-31 14:41 - CD APP-王营

- Due date set to 2023-04-03

#4 - 2023-04-04 11:01 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

未正确触发hotseat保存到数据库的操作,修改逻辑使正确触发保存操作

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/191733
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/191733


#5 - 2023-04-04 16:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191733 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Hotseat bug fixed1.fixed issue  117218  1172212.The icon in hotspot has not been restored to its original state after restartingTC-RID:

0301-0205303IssueID: TS-R-BUG-117221Change-Id: Id7a2fa0d1bef6e1500a99740a2ee6fade78a62a2

#6 - 2023-04-04 16:48 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-05

- Root cause set to 编码问题

#7 - 2023-04-10 19:51 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304100016.zip

#8 - 2023-04-10 19:53 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

#9 - 2023-07-10 11:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213303 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

Revert AF:Launcher:Fixed cellYFromOrder in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-117221This reverts commit

8d81c9fa648d1594b11685783d91f39b08033ccf.Reason for revert: <not fixed>Change-Id: Iee8261e97e8239ac6a90ab94ba4f7807a1f9cc7d

#10 - 2023-07-10 11:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213331 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:icon dismiss when exit folder in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-117221,IOVDEV-37540Change-Id:

I0e538701a0660a1e73b7937e7c0350110bf44da1

#11 - 2023-07-10 11:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213302 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

Revert AF:Launcher:Hotseat bug fixedTC-RID: 0301-0205303IssueID: TS-R-BUG-117221This reverts commit

fbe3e3212cde000eca26a8bf62a31738f14ed481.Reason for revert: <not fixed>Change-Id: I2a530b8540606403a1411b05178c300178f28d1e

#12 - 2023-07-11 15:08 - CDTS_Test 吴诗雨

0711DB验证通过

#13 - 2023-07-11 21:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213990 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:Launcher:Hotseat bug fixedTC-RID: 0301-0205303IssueID: TS-R-BUG-117221This reverts commit

fbe3e3212cde000eca26a8bf62a31738f14ed481.Reason for revert: <not fixed>Change-Id: I2a530b8540606403a1411b05178c300178f28d1e(cherry picked from

commit f460dfc2892cf25de35ab97929c6f553d4580dd7)

#14 - 2023-07-11 21:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213991 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:Launcher:Fixed cellYFromOrder in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-117221This reverts commit

8d81c9fa648d1594b11685783d91f39b08033ccf.Reason for revert: <not fixed>Change-Id: Iee8261e97e8239ac6a90ab94ba4f7807a1f9cc7d(cherry picked from
commit 9011253e19126bb0d28a1c93670f1d600db2c7ca)

#15 - 2023-07-11 21:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213992 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:icon dismiss when exit folder in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-117221,IOVDEV-37540Change-Id:

I0e538701a0660a1e73b7937e7c0350110bf44da1(cherry picked from commit 477fe48ddbd43b551d7e0318b9edb88e89ac1a3b)

Files

328-2.txt 2.33 MB 2023-03-28 物联网测试组_CDTS  唐霞 
